﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAccordionBus.Entities;

public class EntityAccordionBus : EntityBus
{
    public Color AdditionalColor { get; private set; }

    public bool Compartment { get; private set; }

    public bool Entrance { get; private set; }

    public bool Windows { get; private set; }

    /// <summary>
    /// Инициализация полей объекта-класса accordion bus
    /// </summary>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="compartment">Признак наличия доп. отсека с гармошкой</param>
    /// <param name="entrance">Признак наличия входа у доп. отсека</param>
    /// <param name="windows">Признак наличия окон у доп. отсека</param>

    public EntityAccordionBus(int Speed, double Weight, Color bodyColor, Color additionalColor, bool compartment, bool entrance, bool windows) : base(Speed, Weight, bodyColor)
    {
        AdditionalColor = additionalColor;
        Compartment = compartment; // отсек
        Entrance = entrance;
        Windows = windows;
    }

}
